Bug 1220 - server attribute should not be necessary if redirect is present
: server attribute should not be necessary if redirect is present
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xinetd)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-08-24 20:17 by
Modified: 2008-09-18 18:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-08-24 20:17:09
The man-page for xinetd.conf says \'server\' attribute is always necessary for
a service. But if \'redirect\' is specified, then \'server\' is absolutely
useless.

The behaviour of xinetd corresponds to what is written: it doesn\'t accept a
service with \'redirect\' attribute and without a \'server\' attribute. If I
add a \'service\' attribute with some value, it accepts the service. (It would
be reasonable if it accepted such a service even without a useless \'server\'
attribute.)

---

---
xinetd-2.3.6-alt2

Some previous version used to behave the way I\'d prefer.
------- Comment #1 From 2002-09-02 12:36:56 -------
I\'m not sure - the \'server\' attribute is used in libwrap checks,
so it is not absolutely useless.
------- Comment #2 From 2002-09-02 12:36:56 -------
I\'m not sure - the \'server\' attribute is used in libwrap checks,
so it is not absolutely useless.
------- Comment #3 From 2002-09-02 19:44:17 -------
Just comment: \'server\' is mean process name in the list of running processes
(ps ax|grep name) isn\'t it? \'redirect\' service can be controlled by \'only
from\' clause of xinetd.conf

edited on: 02-09 19:45
------- Comment #4 From 2002-09-02 19:44:17 -------
Just comment: \'server\' is mean process name in the list of running processes
(ps ax|grep name) isn\'t it? \'redirect\' service can be controlled by \'only
from\' clause of xinetd.conf

edited on: 02-09 19:45
------- Comment #5 From 2002-09-02 20:28:51 -------
No, server means program to execute for this service.
This attribute also used as service name in tcp_wrappers check.
------- Comment #6 From 2002-09-02 20:28:51 -------
No, server means program to execute for this service.
This attribute also used as service name in tcp_wrappers check.
------- Comment #7 From 2002-09-09 21:05:47 -------
Please have a look at xinetd-2.3.8-alt1
------- Comment #8 From 2002-09-09 21:05:47 -------
Please have a look at xinetd-2.3.8-alt1
------- Comment #9 From 2005-01-22 13:31:18 -------
No comments -> fixed.
------- Comment #10 From 2008-09-18 18:22:56 -------
(In reply to comment #9)
> No comments -> fixed.

Yes, it's OK in xinetd-2.3.13-alt1. Thanks!